Subject: Re: Allowing non-root user to mount fs.
From: [email-masked] (Alexander L. Belikoff)
Cc: [email-masked] (Choo Heng Kek)
Date: 08 Aug 1996 12:47:35 +0300
Newsgroups: comp.unix.questions,comp.os.linux.admin,comp.os.linux.misc,comp.unix.admin

In article <[email-masked]> [email-masked] (Choo Heng Kek) writes:

   From: [email-masked] (Choo Heng Kek)

   What can I do, as root, to allow a non-root user to use the 'mount' cmd
   to mount an NFS filesystem?

   I remember a few years ago that I could do that as an ordinary user on
   Ultrix.

   'uname -a' gives:
   "Linux linux02 1.2.13 #1 Wed Aug 23 01:06:43 CDT 1995 i486 "

   Email replies would be greatly appreciated.
   Thanks.

   Regards
   Heng Kek

Mention this fs and destination dir in /etc/fstab w/ user option:

vermis:/                 /nfs/vermis               nfs    soft,rw,user,exec,sui
d,dev,noauto
-- 
-Alexander

==============================================================================
Alexander L. Belikoff			[email-masked]
Berger Financial Research Ltd.
=============================================================================

Newsgroups: comp.unix.questions,comp.os.linux.admin,comp.os.linux.misc,comp.unix.admin
From: Nils Jungclaus <[email-masked]>
Subject: Re: Allowing non-root user to mount fs.
Cc: [email-masked]
Date: Thu, 8 Aug 1996 10:21:16 GMT
Organization: http://www.techfak.uni-bielefeld.de/

Choo Heng Kek wrote:

> What can I do, as root, to allow a non-root user to use the 'mount' cmd
> to mount an NFS filesystem?

What about using the amd automounter? It works great and is easily
setup.  The user does not even have care about the mount command, he
only accesses a specified directory and voila, the filesystem is
mounted.

	Nils
                              ,,,
                             (o o)               
-------------------------oOO--(_)--OOo---------------------
Nils Jungclaus                      University of Bielefeld
phone: +49 521 106-6059                           (Germany)
fax:   +49 521 106-6011                            
email: [email-masked]
-----------------------------------------------------------